> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Hủy tất cả lệnh điều kiện

> Hủy tất cả lệnh điều kiện theo investorAccountId và investorId.



## OpenAPI

````yaml /vi/openapi/entrade-v1.yaml delete /orders
openapi: 3.1.0
info:
  title: Entrade Open API
  version: 1.0.0
  description: Đặc tả được trích xuất từ các request Bruno trong `collections/Entrade`.
servers:
  - url: https://services.entrade.com.vn/entrade-api
    description: Môi trường production
  - url: https://services-staging.entrade.com.vn/papertrade-entrade-api
    description: Môi trường staging
security:
  - BearerAuth: []
tags:
  - name: authentication
    description: API đăng nhập và cấp JWT token.
    x-group: Xác thực
  - name: account
    description: Thông tin tài khoản, tài sản và cấu hình rủi ro.
    x-group: Tài khoản
  - name: derivatives
    description: Giao dịch, sức mua, gói vay và vị thế phái sinh.
    x-group: Phái sinh
  - name: smart-order
    description: Lệnh điều kiện trên dịch vụ Smart Order.
    x-group: Smart Order
paths:
  /orders:
    delete:
      tags:
        - smart-order
      summary: Hủy tất cả lệnh điều kiện
      description: Hủy tất cả lệnh điều kiện theo investorAccountId và investorId.
      operationId: cancelAllSmartOrders
      parameters:
        - name: investorAccountId
          in: query
          description: Mã tài khoản
          schema:
            type: number
        - name: investorId
          in: query
          description: Mã khách hàng
          schema:
            type: number
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SmartOrderBulkCancelResult'
        '400':
          $ref: '#/components/responses/BadRequest'
        '500':
          $ref: '#/components/responses/InternalError'
      servers:
        - url: https://services-staging.entrade.com.vn/papertrade-smart-order
          description: Môi trường staging Smart Order
components:
  schemas:
    SmartOrderBulkCancelResult:
      type: object
      properties:
        status:
          type: string
          description: “OK” nghĩa là hủy thành công
    Error:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        status:
          type: number
  responses:
    BadRequest:
      description: Yêu cầu không hợp lệ
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalError:
      description: Lỗi máy chủ
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token lấy từ API đăng nhập.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.